-- settings.lua
-- Written by Habna


function LoadSwappableSettings()
	tsettings = {};
	tsettings = Turbine.PluginData.Load( Turbine.DataScope.Account, "HugeBagSwappableSettings" );
	
	if tsettings == nil then tsettings = tCatHB; end
	
	ttable = tsettings; -- temporary table with user category
	
	-- merge/insert HugeBag table into user temporary table
	--for k, v in ipairs(tCatHB) do table.insert( ttable, v ); end (CRASH CLIENT)
	for i = 1, #tCatHB do table.insert( ttable, tCatHB[i] ); end

	-- Sort temporary table by it's key (not descending)
	table.sort( ttable );

	-- Copy value from temporary table to tCat and skip duplicate entry
	table.RemoveDuplicate();
	
	tsettings = tCat; -- Set the newly merge, sorted and duplicate free table to tsettings

	Turbine.PluginData.Save( Turbine.DataScope.Account, "HugeBagSwappableSettings", tsettings );
end

function SaveSwappableSettings()
	tsettings = tCat;
	Turbine.PluginData.Save( Turbine.DataScope.Account, "HugeBagSwappableSettings", tsettings );
end