-- items.lua
-- Written by Habna


function frmItems()
	self = Turbine.UI.Lotro.Window();
	--self = Turbine.UI.Lotro.GoldWindow();
	
	-- **v Set backcolor, position, size and text of the window v**
	Num = 8; --> Number of options in the top section (White options)
	self:SetSize( 360, (Num * 20 + 80) );
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize();
	local winWidth, winHeight = self:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 );
    self:SetPosition( left, top );
	self:SetText( "Show/Hide Specific items" );
	self:SetBackColor( Turbine.UI.Color() );
	self:SetVisible( true );
	--self:SetZOrder( 2 );
	self:Activate();
	-- **^
	local PosY = 40;

	ItemsTV = Turbine.UI.TreeView();
	ItemsTV:SetParent( self );
	--ItemsTV:SetText( "Show All items" );
	ItemsTV:SetPosition( 15, PosY );
	ItemsTV:SetSize( self:GetWidth() - 35 , self:GetHeight() - 65 );
	--ItemsTV:SetBackColor( green );
	ItemsTV:SetIndentationWidth( 15 );

	-- Give the tree view a scroll bar.
	TVScrollBar = Turbine.UI.Lotro.ScrollBar();
	TVScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
	TVScrollBar:SetParent( self );
	TVScrollBar:SetPosition( self:GetWidth() - 20, 45 );
	TVScrollBar:SetSize( 10, self:GetHeight() - 75 );

	ItemsTV:SetVerticalScrollBar( TVScrollBar );

	LoadItemsCategory()
	Itemlbl = {};

	-- Populate the test nodes.
	MyTreeNode = class( Turbine.UI.TreeNode );

	function MyTreeNode:Constructor()
	   Turbine.UI.TreeNode.Constructor( self );
	   
	   self:SetBackColor( Turbine.UI.Color( math.random(), math.random(), math.random() ) );
	   self:SetSize( 100, 18 );
	end


	rootNodes = ItemsTV:GetNodes();

	local i;
	local j;

	for i = 1, 5 do
	   local node = MyTreeNode();

	   Itemlbl = Turbine.UI.Label();
		Itemlbl:SetParent( MyTreeNode );
		Itemlbl:SetText( "test" );
		Itemlbl:SetForeColor( white );
		Itemlbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );

	   rootNodes:Add( node );

	   local subNodes = node:GetChildNodes();

	   for j = 1, 5 do
		  local node = MyTreeNode();
		  subNodes:Add( node );

		  local subNodes = node:GetChildNodes();

		  for k = 1, 5 do
			 local node = MyTreeNode();
			 subNodes:Add( node );

			 local subNodes = node:GetChildNodes();

			 for l = 1, 5 do
				local node = MyTreeNode();
				subNodes:Add( node );
			 end
		  end
	   end
	end


	--[[
	lbl = Turbine.UI.Label();
	lbl:SetParent( self );
	lbl:SetText( "Show All items" );
	lbl:SetPosition( 15, PosY );
	lbl:SetSize( self:GetWidth(), 18 );
	lbl:SetForeColor( green );
	lbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );

	PosY = PosY + 20;

	lbl.MouseClick = function(sender, args)
		ShowItems( "all" );
		lbl:SetForeColor( green );
		for i = 1, Num do
			Itemlbl[i]:SetForeColor( white );
			Itemlbl[i].Sel = false;
		end
	end

	lbl.MouseHover = function(sender, args)
		lbl:SetBackColor( lightgrey );
		lbl:SetBackColorBlendMode(Turbine.UI.BlendMode.Overlay);
	end

	lbl.MouseLeave = function(sender, args)
		lbl:SetBackColor( none );
	end

	LoadItemsCategory()
	Itemlbl = {};

	--**v Items Category Label v**
	for i = 1, Num do
		Itemlbl[i] = Turbine.UI.Label();
		Itemlbl[i]:SetParent( self );
		Itemlbl[i]:SetText( ItemsCatDes[i] );
		Itemlbl[i]:SetPosition( 15, PosY );
		Itemlbl[i]:SetSize( self:GetWidth(), 18 );
		Itemlbl[i]:SetForeColor( white );
		Itemlbl[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		Itemlbl[i].Sel = false; -- To know if item was selected by user clicking it
		PosY = PosY + 20;

		Itemlbl[i].MouseClick = function(sender, args)
			ItemsSel = not Itemlbl[i].Sel;
			ShowItems(ItemsCatDesType[i]);
			Itemlbl[i].Sel = ItemsSel;
			lbl:SetForeColor( white );
			if ItemsSel then
				Itemlbl[i]:SetForeColor( green );
			else
				Itemlbl[i]:SetForeColor( white );
			end
		end

		Itemlbl[i].MouseHover = function(sender, args)
			Itemlbl[i]:SetBackColor( lightgrey );
			Itemlbl[i]:SetBackColorBlendMode(Turbine.UI.BlendMode.Overlay);
		end

		Itemlbl[i].MouseLeave = function(sender, args)
			Itemlbl[i]:SetBackColor( none );
		end
	end
	--**^
	]]
end